
Infrastructure - Task #8023

Bug in log message for NotAuthorized CHANGE rights on seriesId

2017-02-17 22:02 - Roger Dahl

Status: Closed Start date: 2017-02-17

Priority: Normal Due date:  

Assignee: Jing Tao % Done: 100%

Category: d1_synchronization Estimated time: 0.00 hour

Target version: CCI-2.3.1   

Milestone: None Story Points:  

Product Version: *   

Description

cn-synchronization does not correctly format the following error message, which causes the Identifier memory address to be

displayed instead of its value.

cn-synchronization.log.1:[ERROR] 2017-02-16 22:02:16,483 (V2TransferObjectTask:processTask:416)

Task-urn:node:TDAR-doi:10.6067:XCV81G0P79_format=d1rem1483726160322 - NotAuthorized to claim the seriesId -

NotAuthorized - Submitter does not have CHANGE rights on the SeriesId as determined by the current head of the Sid collection,

whose pid is: org.dataone.service.types.v1.Identifier@67c144f0

History

#1 - 2017-02-17 22:23 - Jing Tao

- Status changed from New to Closed

- Target version set to CCI-2.3.1

- % Done changed from 0 to 100

It is done on the fix of the ticket https://redmine.dataone.org/issues/7948
